javax.swing.plaf.metal

## Class MetalBorders.MenuBarBorder

- java.lang.Object
- - javax.swing.border.AbstractBorder
  - - javax.swing.plaf.metal.MetalBorders.MenuBarBorder

- All Implemented Interfaces:
    Serializable, Border, UIResource
  Enclosing class:
    MetalBorders

      public static class MetalBorders.MenuBarBorder
      extends AbstractBorder
      implements UIResource

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static Insets` | `borderInsets`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MetalBorders.MenuBarBorder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Insets` | `getBorderInsets(Component c)` This default implementation returns a new `Insets` instance where the `top`, `left`, `bottom`, and `right` fields are set to `0`.
    `Insets` | `getBorderInsets(Component c, Insets newInsets)` Reinitializes the insets parameter with this Border's current Insets.
    `void` | `paintBorder(Component c, Graphics g, int x, int y, int w, int h)` This default implementation does no painting.

    - ### Methods inherited from class javax.swing.border.AbstractBorder

      `getBaseline, getBaselineResizeBehavior, getInteriorRectangle, getInteriorRectangle, isBorderOpaque`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### borderInsets

          protected static Insets borderInsets

  - ### Constructor Detail

    - #### MetalBorders.MenuBarBorder

          public MetalBorders.MenuBarBorder()

  - ### Method Detail

    - #### paintBorder

          public void paintBorder(Component c,
                         Graphics g,
                         int x,
                         int y,
                         int w,
                         int h)

      Description copied from class: `AbstractBorder`
      This default implementation does no painting.
      Specified by:
        `paintBorder` in interface `Border`
      Overrides:
        `paintBorder` in class `AbstractBorder`
      Parameters:
        `c` - the component for which this border is being painted
        `g` - the paint graphics
        `x` - the x position of the painted border
        `y` - the y position of the painted border
        `w` - the width of the painted border
        `h` - the height of the painted border

    - #### getBorderInsets

          public Insets getBorderInsets(Component c)

      Description copied from class: `AbstractBorder`
      This default implementation returns a new `Insets` instance where the `top`, `left`, `bottom`, and `right` fields are set to `0`.
      Specified by:
        `getBorderInsets` in interface `Border`
      Overrides:
        `getBorderInsets` in class `AbstractBorder`
      Parameters:
        `c` - the component for which this border insets value applies
      Returns:
        the new `Insets` object initialized to 0

    - #### getBorderInsets

          public Insets getBorderInsets(Component c,
                               Insets newInsets)

      Description copied from class: `AbstractBorder`
      Reinitializes the insets parameter with this Border's current Insets.
      Overrides:
        `getBorderInsets` in class `AbstractBorder`
      Parameters:
        `c` - the component for which this border insets value applies
        `newInsets` - the object to be reinitialized
      Returns:
        the `insets` object

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.